### Enumeration

# GtkFileChooserAction

#### Declaration

    enum Gtk.FileChooserAction

#### Description [src]

Describes whether a `GtkFileChooser` is being used to open existing files or to save to a possibly new file.

#### Members

`GTK_FILE_CHOOSER_ACTION_OPEN`

  Indicates open mode. The file chooser will only let the user pick an existing file.

  - Value: `0`
  - Nickname: `open`
  - Available since: 4.0
`GTK_FILE_CHOOSER_ACTION_SAVE`

  Indicates save mode. The file chooser will let the user pick an existing file, or type in a new filename.

  - Value: `1`
  - Nickname: `save`
  - Available since: 4.0
`GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER`

  Indicates an Open mode for selecting folders. The file chooser will let the user pick an existing folder.

  - Value: `2`
  - Nickname: `select-folder`
  - Available since: 4.0